For the complete documentation index, see llms.txt. You can also append .md to any page URL to get its markdown version.
Skip to main content
For the complete documentation index, see llms.txt.

Signicat Ongoing Monitoring API

Download OpenAPI specification:Download

Introduction

The Signicat Ongoing Monitoring API enables monitoring of person and organisation data changes through multiple national person and organisation registries.

This API is part of the Signicat Ongoing Monitoring service that enables continuous tracking of entities (persons or organisations) for any changes in their demographic, financial or screening profiles.

This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.

Get started

Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Connect to Signicat APIs Quick start guide.

Required API client permissions:

  • Info Monitor Admin
  • Info Monitor Editor
  • Info Monitor Viewer

Audit logs

Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.

  • Access it: Signicat Dashboard > Settings > Audit logs
  • For information generic to all Signicat audit logs, see the general Audit logs documentation.

Errors

When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.

  • For errors generic to all Signicat APIs, see the general Error codes documentation.
  • For errors specific to this service, see the Ongoing Monitoring Error codes documentation.

Events (callback)

Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.

  • Access it: Go to Signicat Dashboard > Settings > Events
  • For information generic to all Signicat events, see the general Events documentation.

Note: This is often referred to as callback.

Changes Endpoints

Get changes by monitor

This endpoint allows to get the all changes by monitor id from the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

query Parameters
cursor
integer <int32>
Default: 0

Cursor used for pagination. Represents the starting point for the next set of results.

limit
integer <int32>
Default: 1000

Maximum number of items returned per request.

referenceKey
string

Unique reference key of the entity.

Responses

Response samples

Content type
application/json
{
  • "size": 2,
  • "nextCursor": 3,
  • "limit": 1000,
  • "items": [
    ]
}

Get changes by monitor and change id

This endpoint allows to get the all changes by monitor id and change id from the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

changeId
required
integer <int32>

Id of the change.

Responses

Response samples

Content type
application/json
{
  • "id": 1,
  • "referenceKey": "referenceKey",
  • "monitorId": "e598c50a-a2fa-4e5c-be4f-dd583bc41d80",
  • "detected": "2026-07-10T08:16:00.4881212Z",
  • "created": "2026-07-10T08:16:00.4881213Z",
  • "changes": [
    ]
}

Monitor Endpoints

Get monitor

This endpoint allows to get monitor by Id from the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

Responses

Response samples

Content type
application/json
{
  • "id": "402d1ce2-ce71-4f9b-b252-3fa90fef0de4",
  • "accountId": "a-ppge-c5jsmhR5fLM3jxBY8H1v",
  • "name": "Monitor Name",
  • "sources": [
    ],
  • "profiles": [
    ],
  • "description": "Monitor that reach source",
  • "size": 10,
  • "entityType": "Organisation",
  • "createdAt": "2026-07-10T08:16:00.4902724Z",
  • "isEnabled": true
}

Create monitor

This endpoint allows the creation of a new monitor resource in the system.

Request Body schema: application/json
required

Request object to create a monitor.

name
required
string [ 1 .. 100 ] characters

The name of the monitor.

description
string or null [ 1 .. 100 ] characters

Description of the monitor.

entityType
required
string [ 1 .. 100 ] characters

The type of monitored entities (e.g., 'Person', 'Organisation').

required
Array of objects (SourcesDto) [ 1 .. 50 ] items

A collection of sources associated with the monitor.

profiles
required
Array of strings [ 1 .. 50 ] items [ items [ 1 .. 100 ] characters ]

A list of profiles associated with the monitor request. Each profile must be a non-empty string.

Responses

Request samples

Content type
application/json
{
  • "name": "Monitor Name",
  • "description": "Monitor that reach source",
  • "entityType": "Organisation",
  • "sources": [
    ],
  • "profiles": [
    ]
}

Response samples

Content type
application/json
{
  • "status": 200,
  • "message": "Entity with reference key spar01 is in the process of being delete",
  • "monitorId": "019e8cc8-bb2c-7f4d-fae0-1eaf7aaa0cc9"
}

Organisation Endpoints

Add organisation

This endpoint allows the creation of a new organisation to monitor in the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

Request Body schema: application/json
required

List of organisations to be added to monitor.

Array ([ 1 .. 10000 ] items)
organisationNumber
required
string [ 1 .. 100 ] characters

Represents the unique identification number of an organisation.

source
required
string [ 1 .. 100 ] characters

Represents the source of the organisation information.

country
string or null [ 1 .. 100 ] characters

Represents the country associated with the organisation.

companyName
string or null [ 0 .. 100 ] characters

Represents the name of the company associated with the organisation.

referenceKey
required
string [ 1 .. 100 ] characters

Represents the unique key that identifies a specific reference for an organisation.

externalId
string or null [ 0 .. 100 ] characters

Represents an optional external identifier for an organisation.

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Retrieves the most recent state of an organisation.

This endpoint allows to get the organisation last snapshot by monitor id and reference key from the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

referenceKey
required
string

Unique reference key of the entity.

Responses

Response samples

Content type
application/json
{
  • "country": "NOR",
  • "name": "Organisation Name",
  • "added": "2026-07-09T08:16:00.4999445Z",
  • "lastUpdate": "2026-07-10T08:16:00.4999461Z",
  • "organisationNumber": "12345678",
  • "operationalStatus": "Active",
  • "externalId": "1454-15",
  • "alias": "Organisation Alias",
  • "legalForm": "Other",
  • "vatNumber": "12345678",
  • "email": "example@example.pt",
  • "registrationDate": "2026-07-09T08:16:00.4999468Z",
  • "phone": {
    },
  • "addresses": [
    ],
  • "industries": [
    ],
  • "names": [
    ],
  • "countryAffiliationsList": [
    ],
  • "screening": {
    },
  • "finance": {
    },
  • "roles": {
    }
}

Delete organisation associated to a monitor

This endpoint allows to delete the organisation from the system in one specific monitor.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

referenceKey
required
string

Unique reference key of the entity.

Responses

Get organisation changes by monitor and reference key Deprecated

            This endpoint is deprecated and will be removed in a future version.
            Use 'info/monitor/<monitor id>/changes?referenceKey=<reference key>' instead.
path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

referenceKey
required
string

Unique reference key of the entity.

query Parameters
cursor
integer <int32>
Default: 0

Cursor used for pagination. Represents the starting point for the next set of results.

limit
integer <int32>
Default: 1000

Maximum number of items returned per request.

Responses

Response samples

Content type
application/json
{
  • "size": 2,
  • "nextCursor": 3,
  • "limit": 1000,
  • "items": [
    ]
}

Get organisation changes from monitor Deprecated

            This endpoint is deprecated and will be removed in a future version.
            Use 'info/monitor/<monitor id>/changes' instead.
path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

query Parameters
cursor
integer <int32>
Default: 0

Cursor used for pagination. Represents the starting point for the next set of results.

limit
integer <int32>
Default: 1000

Maximum number of items returned per request.

Responses

Response samples

Content type
application/json
{
  • "size": 2,
  • "nextCursor": 3,
  • "limit": 1000,
  • "items": [
    ]
}

Person Endpoints

Add person to monitor

This endpoint allows the creation of a new person to monitor in the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

Request Body schema: application/json
required

Request object to add persons to the monitor.

required
Array of objects (PersonRequestDto) [ 1 .. 10000 ] items

Collection of person records to be processed.

Array ([ 1 .. 10000 ] items)
source
required
string [ 1 .. 100 ] characters

Represents the origin or source of the request. This value is required and must adhere to the specified length constraints.

referenceKey
required
string [ 1 .. 100 ] characters

Represents a unique reference key associated with a person request. This property is mandatory and must comply with specified length constraints.

nationalIdentityNumber
string or null

Represents the national identity number of a person. This value is optional but may be required for certain validations or operations. It should comply with applicable format and validity rules for national identity numbers.

object (PersonNameDto)
nationality
string or null^$|^[A-Za-z]{2,3}$

Specifies the nationality of a person using an optional ISO code format. This is required for certain sources. The value must match a two- or three-letter ISO code or remain empty.

dateOfBirth
string or null

The date of birth is optional. The correct format is YYYY-MM-DD

object (PersonAddressRequest)
registrationIdCountryCode
string or null

Represents the country code associated with the registration ID of a person. This is required for certain sources. The value is expected to be a valid ISO 3166-1 alpha-2 or alpha-3 country code.

taxCountryCode
string or null^$|^[A-Za-z]{2,3}$

The tax country code is required for certain sources. The value is expected to be a valid ISO 3166-1 alpha-2 or alpha-3 country code.

citizenCountryCode
string or null^$|^[A-Za-z]{2,3}$

The citizen country code is required for certain sources. The value is expected to be a valid ISO 3166-1 alpha-2 or alpha-3 country code.

Responses

Request samples

Content type
application/json
{
  • "persons": [
    ]
}

Retrieves the most recent state of a person.

This endpoint allows to get the person last snapshot by monitor id and reference key from the system.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

referenceKey
required
string

Unique reference key of the entity.

Responses

Response samples

Content type
application/json
{
  • "dateOfBirth": "2000-12-04",
  • "firstName": "John",
  • "middleName": "Doe",
  • "lastName": "Smith",
  • "alias": null,
  • "nationalIdentityNumber": "12345678901",
  • "nationality": "NOR",
  • "taxCountryCode": "NOR",
  • "registrationIdCountryCode": "NOR",
  • "gender": "Male",
  • "citizenCountryCode": "NOR",
  • "addresses": [
    ],
  • "countryAffiliationsList": [
    ],
  • "screenings": [
    ]
}

Delete person associated to a monitor

This endpoint allows to delete the person from the system in one specific monitor.

path Parameters
monitorId
required
string <uuid>

Unique GUID identifier of the monitor.

referenceKey
required
string

Unique reference key of the entity.

Responses